any.hpp File Reference

## Classes

struct | ranges::v3::any
struct | ranges::v3::bad_any_cast

## Functions

template<typename T >
meta::if_c< std::is_reference< T >)||Copyable< T >), T > | ranges::v3::any_cast (any &)
template<typename T >
meta::if_c< std::is_reference< T >)||Copyable< T >), T > | ranges::v3::any_cast (any const &)
template<typename T >
meta::if_c< std::is_reference< T >)||Copyable< T >), T > | ranges::v3::any_cast (any &&)
template<typename T >
T * | ranges::v3::any_cast (any *) noexcept
template<typename T >
T const * | ranges::v3::any_cast (any const *) noexcept

## Function Documentation

## any_cast() [1/5]

template<typename T >

meta::if_c< std::is_reference< T >)||Copyable< T >), T > ranges::v3::any_cast | ( | any & | x | ) |

Exceptions

  bad_any_cast |

## any_cast() [2/5]

template<typename T >

meta::if_c< std::is_reference< T >)||Copyable< T >), T > ranges::v3::any_cast | ( | any const & | x | ) |

This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts.

## any_cast() [3/5]

template<typename T >

meta::if_c< std::is_reference< T >)||Copyable< T >), T > ranges::v3::any_cast | ( | any && | x | ) |

This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts.

## any_cast() [4/5]

template<typename T >

T * ranges::v3::any_cast | ( | any * | p | ) |

noexcept

This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts.

## any_cast() [5/5]

template<typename T >

T const * ranges::v3::any_cast | ( | any const * | p | ) |

noexcept

This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts.